package com.wzj.soopin.order.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.wzj.soopin.order.domain.entity.VerificationCodes;
import org.apache.ibatis.annotations.Mapper;

import java.time.LocalDateTime;
import java.util.Map;

@Mapper
public interface VerificationCodesMapper extends BaseMapper<VerificationCodes> {


    LocalDateTime verificationTime(String code);

    Map<String, Object> getProduvtNameAndMemberId(String code);

    String getReason(String code);
}
